/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the functions to handle a 'audio' citation type.
 *
 *  Coded by:       Ross Maloney
 *  June 2018   :   Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  audio()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void shownote(void);         /* in utilities.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 705);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 84;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[53].id);  /* audio Required */

  XReparentWindow(e6display, dataStore[2].id,
         moduleStore[53].id, 60, 43);    /* author */
  XMapWindow(e6display, dataStore[2].id);
  dataStore[2].before = 65;
  dataStore[2].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[53].id, 50, 75);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 2;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[53].id, 725, 75);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 56;
  XReparentWindow(e6display, dataStore[56].id,
         moduleStore[53].id, 73, 107);    /* publisher */
  XMapWindow(e6display, dataStore[56].id);
  dataStore[56].before = 0;
  dataStore[56].next = 108;
  XReparentWindow(e6display, dataStore[108].id,
         moduleStore[53].id, 78, 140);    /* booktitle */
  XMapWindow(e6display, dataStore[108].id);
  dataStore[108].before = 56;
  dataStore[108].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
         moduleStore[53].id, 105, 175);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 108;
  dataStore[80].next = 91;

                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 216);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 80;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 342);
  shownote();

  zeroall();        /* set all input data fields to zero */
}


/*  Function to form the window to contain the minor data fields associated with
 *  an audio reference type.
 */

void  audio2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Audio)";
  char *icon_name = "e6/2";
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showlargeO(void);       /* in utilities.c */
  extern void showmainO(void);        /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showissO(void);         /* in utilities.c */
  extern void wordsO(void);           /* in utilities.c */
  extern void showeventsO(void);      /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 333);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
                        /* linking in editorabcO */
  XMoveWindow(e6display, moduleStore[2].id, 0, 5);
  showeditorabcO();  /* editor descriptors */
  dataStore[10].before = 26;
  dataStore[15].next = 34;
                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 98);
  showeprintO();     /* eprint information */
  dataStore[35].next = 29;
  dataStore[34].before = 15;
  //  XMoveWindow(e6display, moduleStore[7].id, 0, 362);
  //  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 134);
  showlargeO();      /* large Optionals */
  dataStore[26].next = 10;
  dataStore[29].before = 35;
}
