/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the function which handles a 'booklet' citation type
 *
 *  Coded by:       Ross Maloney
 *  December 2012:  Initial code 
 *  September 2014  Minor field handline moved to mvbooklet2()
 */
#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  booklet()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void shownote(void);         /* inc utilities.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 675);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 54;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[29].id);  /* booklet Required */
  
  XReparentWindow(e6display, dataStore[3].id,
         moduleStore[29].id, 101, 47);    /* author/editor */
  XMapWindow(e6display, dataStore[3].id);
  dataStore[3].before = 65;
  dataStore[3].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[29].id, 50, 78);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 3;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[29].id, 725, 78);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 98;
  XReparentWindow(e6display, dataStore[98].id,
         moduleStore[29].id, 50, 126);    /* type */
  XMapWindow(e6display, dataStore[98].id);
  dataStore[98].before = 0;
  dataStore[98].next = 53;
  XReparentWindow(e6display, dataStore[53].id,
         moduleStore[29].id, 450, 126);    /* page total */
  XMapWindow(e6display, dataStore[53].id);
  dataStore[53].before = 98;
  dataStore[53].next = 73;
  XReparentWindow(e6display, dataStore[73].id,
         moduleStore[29].id, 725, 126);    /* chapter */
  XMapWindow(e6display, dataStore[73].id);
  dataStore[73].before = 53;
  dataStore[73].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
         moduleStore[29].id, 110, 156);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 73;
  dataStore[80].next = 21;
  XReparentWindow(e6display, dataStore[21].id,
         moduleStore[29].id, 452, 156);    /* pages */
  XMapWindow(e6display, dataStore[21].id);
  dataStore[21].before = 80;
  dataStore[21].next = 91;

                        /* linking in keys */
//  XMoveWindow(e6display, moduleStore[8].id, 340, 280);
  XMoveWindow(e6display, moduleStore[8].id, 340, 190);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 21;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 315);
  shownote();

  zeroall();        /* set all input data fields to zero */
}  



/*  Function to form the window to contain minor data fields associated with
 *  booklet reference type.
 */

void  booklet2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Booklet)";
  char *icon_name = "e6/2";
  extern void showlargeO(void);       /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 338);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
  dataStore[63].before = 26;
  dataStore[52].next = 34;
  showwordsO();      /* auxiliary information */
                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 95);
  showeprintO();     /* eprint information */
  XMoveWindow(e6display, moduleStore[7].id, 0, 125);
  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 155);
  showlargeO();      /* large Optionals */
  dataStore[34].before = 52;
  dataStore[26].next = 63;
} 
