/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains functions which handle actions associated with all the
 *  buttons which appear.
 *
 *  Coded by:       Ross Maloney
 *  May 2012:       Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"


/* Routine to handle when the mouse pointer enters a button */

void  buttonEntered(int index)
{
  int  k;

//  printf("button entered: index = %d\n", index);
  if ( index > 1999 && index < 2999 )  {
    k = index - 2000;
    XUnmapWindow(e6display, buttonStore[k].normal);
    XMapWindow(e6display, buttonStore[k].selected);
  }
}



/* Routine to handle when the mouse pointer leaves a button */

void  buttonLeave(int index)
{
  int  k;

//  printf("button leave: index = %d\n", index);
  if ( index > 2999 )  {
    k = index - 3000;
    XUnmapWindow(e6display, buttonStore[k].selected);
    XMapWindow(e6display, buttonStore[k].normal);
  }
}

