/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the function to handle a 'collection' citation type.
 *
 *  Coded by:       Ross Maloney
 *  January 2011:   Initial code 
 *  June 2012:      Rewritten
 *  September 2014  Minor field handline moved to collection2()
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  collection()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */
  extern void shownote(void);         /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 765);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 55;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[28].id);  /* collection Required */

  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[28].id, 50, 48);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 65;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[28].id, 725, 48);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
//  dataStore[0].next = 90;
//  XReparentWindow(e6display, dataStore[90].id,
  dataStore[0].next = 16;
  XReparentWindow(e6display, dataStore[16].id,
         moduleStore[28].id, 55, 78);  /* editor */
//  XMapWindow(e6display, dataStore[90].id);
//  dataStore[90].before = 0;
//  dataStore[90].next = 92;
//  XReparentWindow(e6display, dataStore[92].id,
  XSetWindowBorder(e6display, dataStore[16].id, colours[4]); /* change border */
  XMapWindow(e6display, dataStore[16].id);
  dataStore[16].before = 0;
  dataStore[16].next = 92;
  XReparentWindow(e6display, dataStore[92].id,
         moduleStore[28].id, 640, 78);  /* short editor */
  XMapWindow(e6display, dataStore[92].id);
//  dataStore[92].before = 90;
  dataStore[92].before = 16;
  dataStore[92].next = 62;
  XReparentWindow(e6display, dataStore[62].id,
         moduleStore[28].id, 60, 128); /* edition */
  XMapWindow(e6display, dataStore[62].id);
  dataStore[62].before = 92;
  dataStore[62].next = 53;
  XReparentWindow(e6display, dataStore[53].id,
         moduleStore[28].id, 380, 128); /* page total */
  XMapWindow(e6display, dataStore[53].id);
  dataStore[53].before = 62;
  dataStore[53].next = 19;
  XReparentWindow(e6display, dataStore[19].id,
         moduleStore[28].id, 62, 158);   /* volume */
  XMapWindow(e6display, dataStore[19].id);
  dataStore[19].before = 53;
  dataStore[19].next = 18;
  XReparentWindow(e6display, dataStore[18].id,
         moduleStore[28].id, 262, 158);   /* number */
  XMapWindow(e6display, dataStore[18].id);
  dataStore[18].before = 19;
  dataStore[18].next = 21;
  XReparentWindow(e6display, dataStore[21].id,
         moduleStore[28].id, 451, 158);   /* pages */
  XMapWindow(e6display, dataStore[21].id);
  dataStore[21].before = 18;
  dataStore[21].next = 56;
  XReparentWindow(e6display, dataStore[56].id,
         moduleStore[28].id, 73, 188);   /* publisher */
  XMapWindow(e6display, dataStore[56].id);
  dataStore[56].before = 21;
  dataStore[56].next = 73;
  XReparentWindow(e6display, dataStore[73].id,
         moduleStore[28].id, 724, 188); /* chapter */
  XMapWindow(e6display, dataStore[73].id);
  dataStore[73].before = 56;
  dataStore[73].next = 22;
  XReparentWindow(e6display, dataStore[22].id,
         moduleStore[28].id, 60, 218);  /* series */
  XMapWindow(e6display, dataStore[22].id);
  dataStore[22].before = 73;
  dataStore[22].next = 96;
  XReparentWindow(e6display, dataStore[96].id,
         moduleStore[28].id, 640, 218);  /* short series */
  XMapWindow(e6display, dataStore[96].id);
  dataStore[96].before = 22;
  dataStore[96].next = 20;
  XReparentWindow(e6display, dataStore[20].id,
         moduleStore[28].id, 55, 248);  /* isbn */
  XMapWindow(e6display, dataStore[20].id);
  dataStore[20].before = 96;
  dataStore[20].next = 55;
  XReparentWindow(e6display, dataStore[55].id,
         moduleStore[28].id, 388, 248);  /* part */
  XMapWindow(e6display, dataStore[55].id);
  dataStore[55].before = 20;
  dataStore[55].next = 60;
  XReparentWindow(e6display, dataStore[60].id,
         moduleStore[28].id, 711, 248);  /* volumes */
  XMapWindow(e6display, dataStore[60].id);
  dataStore[60].before = 55;
  dataStore[60].next = 91;

                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 290);
  dataStore[91].before = 60;
  dataStore[88].next = 63;
  showkeysO();  /* keys Optional */

                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 280);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 60;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 405);
  shownote();

  zeroall();        /* set all input data fields to zero */
}



/*  Function to form the window to contain minor data fields associated with
 *  collection reference type.
 */

void  collection2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Collection)";
  char *icon_name = "e6/2";
  extern void showmainO(void);        /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showeventsO(void);      /* in utilities.c */
  extern void showlargeO(void);       /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */

                        /* linking in wordsO */
  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 580);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
  dataStore[63].before = 26;
  dataStore[52].next = 42;
  showwordsO();      /* auxiliary information */
                        /* linking in mainO */
  XMoveWindow(e6display, moduleStore[5].id, 0, 95);
  dataStore[42].before = 52;
  dataStore[43].next = 10;
  showmainO();       /* pieces with 'main' in their name */
                        /* linking in editorabcO */
  XMoveWindow(e6display, moduleStore[2].id, 0, 155);
  dataStore[10].before = 43;
  dataStore[15].next = 48;
  showeditorabcO();  /* editor descriptors */
                        /* linking in origO */
  XMoveWindow(e6display, moduleStore[6].id, 0, 248);
  dataStore[48].before = 15;
  dataStore[49].next = 34;
  showorigO();       /* original publication details */
                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 338);
  showeprintO();     /* eprint information */
  XMoveWindow(e6display, moduleStore[7].id, 0, 368);
  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 398);
  showlargeO();      /* large Optionals */
  dataStore[34].before = 49;
  dataStore[26].next = 63;
}
