/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  Contained here is the function which handles errors and their consequences
 *  for e6.
 *
 *  Coded by:       Ross Maloney
 *  June 2012:      Initial code
 */


#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  <string.h>     /* for strlen() */
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"



/*  This function creates and displays an error window containing a string
 *  describing the error, and a 'ok' button which is clicked to indicate
 *  acknowledgement of the error.
 */

void  error(char *text)
{

  if ( error_flag )  XBell(e6display, 50);  /* previous error not cleared */
  else {
    XMapWindow(e6display, windowStore[4]);
    XMapWindow(e6display, buttonStore[4].normal);   /* show 'ok' button */
    XMapWindow(e6display, dataStore[102].id);  /* show error message window */
    XDrawString(e6display, dataStore[102].id, GC8, 0, 15, text, strlen(text));
    error_flag = 1;
  }
}
