/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the functions to handle a 'image' citation type.
 *
 *  Coded by:       Ross Maloney
 *  June 2018   :   Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  image()
{
 extern void showkeysO(void);        /* in utilities.c */
 extern void shownote(void);         /* in utilities.c */
 extern void removeMenus(int);       /* in mouseevent.c */
 extern void error(char *);          /* in error.c */
 extern void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 777);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 87;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[56].id);  /* image Required */

  XReparentWindow(e6display, dataStore[107].id,
         moduleStore[56].id, 60, 43);    /* author */
  XMapWindow(e6display, dataStore[107].id);
  dataStore[107].before = 65;
  dataStore[107].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[56].id, 50, 80);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 107;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[56].id, 725, 80);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 16;
  XReparentWindow(e6display, dataStore[16].id,
         moduleStore[56].id, 80, 114);    /* editor */
  XMapWindow(e6display, dataStore[16].id);
  dataStore[16].before = 0;
  dataStore[16].next = 61;
  XReparentWindow(e6display, dataStore[61].id,
         moduleStore[56].id, 745, 114);    /* type */
  XMapWindow(e6display, dataStore[61].id);
  dataStore[61].before = 16;
  dataStore[61].next = 79;
  XReparentWindow(e6display, dataStore[79].id,
         moduleStore[56].id, 60, 149);    /* holder */
  XMapWindow(e6display, dataStore[79].id);
  dataStore[79].before = 61;
  dataStore[79].next = 33;
  XReparentWindow(e6display, dataStore[33].id,
         moduleStore[56].id, 75, 185);    /* location */
  XMapWindow(e6display, dataStore[33].id);
  dataStore[33].before = 79;
  dataStore[33].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
	moduleStore[56].id, 555, 185);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 33;
  dataStore[80].next = 46;
  XReparentWindow(e6display, dataStore[46].id,
         moduleStore[56].id, 95, 220);    /* organization */
  XMapWindow(e6display, dataStore[46].id);
  dataStore[46].before = 80;
  dataStore[46].next = 22;
  XReparentWindow(e6display, dataStore[22].id,
         moduleStore[56].id, 60, 255);    /* series */
  XMapWindow(e6display, dataStore[22].id);
  dataStore[22].before = 46;
  dataStore[22].next = 91;  
                       /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 290);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 22;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 415);
  shownote();

  zeroall();        /* set all input data fields to zero */
}


/*  Function to form the window to contain the minor data fields associated with
 *  an image reference type.
 */

void  image2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Image)";
  char *icon_name = "e6/2";
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showlargeO(void);       /* in utilities.c */
  extern void showmainO(void);        /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showissO(void);         /* in utilities.c */
  extern void wordsO(void);           /* in utilities.c */
  extern void showeventsO(void);      /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 233);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 3);
  showeprintO();     /* eprint information */
  dataStore[35].next = 29;
  dataStore[29].before = 35;
  //  XMoveWindow(e6display, moduleStore[7].id, 0, 362);
  //  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 39);
  showlargeO();      /* large Optionals */
  dataStore[26].next = 34;
  dataStore[34].before = 26;
}
