/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the functions to handle a 'legislation' citation type.
 *
 *  Coded by:       Ross Maloney
 *  June 2018:      Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  legislation()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void shownote(void);         /* in utilities.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 742);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 88;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[57].id);  /* legislation Required */

  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[57].id, 50, 43);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 65;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[57].id, 725, 43);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 4;
  XReparentWindow(e6display, dataStore[4].id,
         moduleStore[57].id, 80, 80);    /* institution */
  XMapWindow(e6display, dataStore[4].id);
  dataStore[4].before = 0;
  dataStore[4].next = 61;
 XReparentWindow(e6display, dataStore[61].id,
         moduleStore[57].id, 745, 80);    /* type */
  XMapWindow(e6display, dataStore[61].id);
  dataStore[61].before = 4;
  dataStore[61].next = 79;
  XReparentWindow(e6display, dataStore[79].id,
         moduleStore[57].id, 60, 114);    /* holder */
  XMapWindow(e6display, dataStore[79].id);
  dataStore[79].before = 61;
  dataStore[79].next = 22;
  XReparentWindow(e6display, dataStore[22].id,
         moduleStore[57].id, 60, 147);    /* series */
  XMapWindow(e6display, dataStore[22].id);
  dataStore[22].before = 79;
  dataStore[22].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
	moduleStore[57].id, 110, 180);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 22;
  dataStore[80].next = 54;
  XReparentWindow(e6display, dataStore[54].id,
	moduleStore[57].id, 725, 180);    /* pagination */
  XMapWindow(e6display, dataStore[54].id);
  dataStore[54].before = 80;
  dataStore[54].next = 5;  
  XReparentWindow(e6display, dataStore[5].id,
	moduleStore[57].id, 95, 213);    /* journal title */
  XMapWindow(e6display, dataStore[5].id);
  dataStore[5].before = 54;
  dataStore[5].next = 91;
                       /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 252);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 5;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 380);
  shownote();

  zeroall();        /* set all input data fields to zero */
}


/*  Function to form the window to contain the minor data fields associated with
 *  an article reference type.
 */

void  legislation2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Legislation)";
  char *icon_name = "e6/2";
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showlargeO(void);       /* in utilities.c */
  extern void showmainO(void);        /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showissO(void);         /* in utilities.c */
  extern void wordsO(void);           /* in utilities.c */
  extern void showeventsO(void);      /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 233);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 3);
  showeprintO();     /* eprint information */
  dataStore[35].next = 29;
  dataStore[29].before = 35;
  XMoveWindow(e6display, moduleStore[0].id, 0, 39);
  showlargeO();      /* large Optionals */
  dataStore[26].next = 34;
  dataStore[34].before = 26;
}
