/* This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 * This file contains the function which handles a 'miscellaneous' citation type
 *
 * Coded by:       Ross Maloney
 * December 2012:  Initial code
 * September 2014: Minor field handling moved to miscellaneous2()
 */
#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  miscellaneous()
{
  void showkeysO(void);        /* in utilities.c */
  void error(char *);          /* in error.c */
  void removeMenus(int);       /* in mouseevent.c */
  void shownote(void);         /* in utilities.c */
  void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 705);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 64;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, moduleStore[31].id);  /* manual Required */
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  
  XReparentWindow(e6display, dataStore[3].id,
         moduleStore[31].id, 102, 47);    /* author/editor */
  XMapWindow(e6display, dataStore[3].id);
  dataStore[3].before = 65;
  dataStore[3].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[31].id, 50, 78);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 3;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[31].id, 725, 78);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 46;
  XReparentWindow(e6display, dataStore[46].id,
         moduleStore[31].id, 95, 126);    /* organization */
  XMapWindow(e6display, dataStore[46].id);
  dataStore[46].before = 0;
  dataStore[46].next = 44;
  XReparentWindow(e6display, dataStore[44].id,
         moduleStore[31].id, 865, 126);    /* month */
  XMapWindow(e6display, dataStore[44].id);
  dataStore[44].before = 46;
  dataStore[44].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
         moduleStore[31].id, 110, 156);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 44;
  dataStore[80].next = 59;
  XReparentWindow(e6display, dataStore[59].id,
         moduleStore[31].id, 725, 156);    /* version */
  XMapWindow(e6display, dataStore[59].id);
  dataStore[59].before = 80;
  dataStore[59].next = 98;
  XReparentWindow(e6display, dataStore[98].id,
         moduleStore[31].id, 50, 186);    /* type */
  XMapWindow(e6display, dataStore[98].id);
  dataStore[98].before = 59;
  dataStore[98].next = 91;
  
                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 220);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 98;
  dataStore[88].next = 65;

                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 345);
  shownote();

  zeroall();        /* set all input data fields to zero */
}



/*  Function to form the window to contain the minor data fields associated with
 *  an manual reference type.
 */

void  miscellaneous2()
{
  XSizeHints     wmsize;
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Miscellaneous)";
  char *icon_name = "e6/2";
  void showlargeO(void);       /* in utilities.c */
  void showeprintO(void);      /* in utilities.c */
  void showlargeO1(void);      /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 252);
  XMapWindow(e6display, secondsW);

                        /* linking in largeO, lrageO1 and eprintO combination */
//  XMoveWindow(e6display, moduleStore[1].id, 340, 345);
  XMoveWindow(e6display, moduleStore[1].id, 0, 5);
  showeprintO();     /* eprint information */
  XMoveWindow(e6display, moduleStore[7].id, 0, 35);
  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 65);
  showlargeO();      /* large Optionals */
  dataStore[34].before = 26;
  dataStore[26].next = 34;
}
