/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the functions to handle a 'movie' citation type.
 *
 *  Coded by:       Ross Maloney
 *  June 2018:      Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  movie()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void shownote(void);         /* in utilities.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 742);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 91;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[60].id);  /* movie Required */

  XReparentWindow(e6display, dataStore[2].id,
         moduleStore[60].id, 60, 43);    /* author */
  XMapWindow(e6display, dataStore[2].id);
  dataStore[2].before = 65;
  dataStore[2].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[60].id, 50, 77);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 2;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[60].id, 725, 77);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 111;
  //  XReparentWindow(e6display, dataStore[6].id,
  //	 moduleStore[60].id, 70, 110);    /* subtitle */
  //  XMapWindow(e6display, dataStore[6].id);
  //  dataStore[6].before = 0;
  //  dataStore[6].next = 111;
  XReparentWindow(e6display, dataStore[111].id,
          moduleStore[60].id, 54, 110);    /* type */
  XMapWindow(e6display, dataStore[111].id);
  dataStore[111].before = 0;
  dataStore[111].next = 67;
  XReparentWindow(e6display, dataStore[67].id,
	moduleStore[60].id, 585, 110);    /* author type */
  XMapWindow(e6display, dataStore[67].id);
  dataStore[67].before = 111;
  dataStore[67].next = 50;
  XReparentWindow(e6display, dataStore[50].id,
	moduleStore[60].id, 78, 147);    /* publisher */
  XMapWindow(e6display, dataStore[50].id);
  dataStore[50].before = 67;
  dataStore[50].next = 71;
  XReparentWindow(e6display, dataStore[71].id,
         moduleStore[60].id, 78, 180);    /* book title */
  XMapWindow(e6display, dataStore[71].id);
  dataStore[71].before = 50;
  dataStore[71].next = 68;
  XReparentWindow(e6display, dataStore[68].id,
         moduleStore[60].id, 85, 215);    /* book author */
  XMapWindow(e6display, dataStore[68].id);
  dataStore[68].before = 71;
  dataStore[68].next = 91;
                       /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 255);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 68;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 380);
  shownote();

  zeroall();        /* set all input data fields to zero */
}


/*  Function to form the window to contain the minor data fields associated with
 *  a movie reference type.
 */

void  movie2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Movie)";
  char *icon_name = "e6/2";
  extern void showeditorabcO(void);   /* in utilities.c */
  extern void showlargeO(void);       /* in utilities.c */
  extern void showmainO(void);        /* in utilities.c */
  extern void showorigO(void);        /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */
  extern void showissO(void);         /* in utilities.c */
  extern void wordsO(void);           /* in utilities.c */
  extern void showeventsO(void);      /* in utilities.c */
  extern void showwordsO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 310);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[9].id, 0, 5);
                        /* linking in editorabcO */
  XMoveWindow(e6display, moduleStore[2].id, 0, 3);
  dataStore[10].before = 26;
  dataStore[15].next = 34;
  showeditorabcO();  /* editor descriptors */
                        /* linking in eprintO combination */
  XMoveWindow(e6display, moduleStore[1].id, 0, 93);
  showeprintO();     /* eprint information */
  dataStore[34].before = 15;
  dataStore[35].next = 29;
  XMoveWindow(e6display, moduleStore[0].id, 0, 125);
  showlargeO();      /* large Optionals */
  dataStore[29].before = 35;
  dataStore[26].next = 10;
}
