/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the function to handle a 'online' citation type.
 *
 *  Coded by:       Ross Maloney
 *  January 2011:   Initial code
 *  May 2012:       Rewritten
 *  September 2014: Minor field handling moved to miscellaneous2()
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  online()
{
  void showkeysO(void);        /* in utilities.c */
  void shownote(void);         /* in utilities.c */
  void removeMenus(int);       /* in mouseevent.c */
  void zeroall(void);          /* in texting.c */
  void error(char *);          /* in error.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 682);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 65;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);

  XMapWindow(e6display, moduleStore[22].id);  /* online Required */
  XReparentWindow(e6display, dataStore[3].id,
         moduleStore[22].id, 108, 47);    /* author/editor */
  XMapWindow(e6display, dataStore[3].id);    /* author/editor */
  dataStore[3].next = 1;
  dataStore[3].before = 65;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[22].id, 50, 78);    /* title */
  XMapWindow(e6display, dataStore[1].id);    /* title */
  dataStore[1].before = 3;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[22].id, 725, 78);    /* date */
  XMapWindow(e6display, dataStore[0].id);    /* date */
  dataStore[0].before = 1;
  dataStore[0].next = 59;
  XReparentWindow(e6display, dataStore[59].id,
         moduleStore[22].id, 62, 128);
  XMapWindow(e6display, dataStore[59].id);   /* version */
  dataStore[59].before = 0;
  dataStore[59].next = 46;
  XReparentWindow(e6display, dataStore[46].id,
         moduleStore[22].id, 96, 158);
  XMapWindow(e6display, dataStore[46].id);   /* organization */
  dataStore[46].before = 59;
  dataStore[46].next = 44;
  XReparentWindow(e6display, dataStore[44].id,
         moduleStore[22].id, 863, 158);
  dataStore[44].before = 46;
  dataStore[44].next = 91;
  XMapWindow(e6display, dataStore[44].id);   /* month */
                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 195);
  dataStore[91].before = 44;
  dataStore[88].next = 65;

  showkeysO();  /* keys Optional */

                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 320);
  shownote();

  zeroall();        /* set all input data fields to zero */
}




/*  Function to form the window to contain the minor data fields associated with
 *  an online reference type.
 */

void  online2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Online)";
  char *icon_name = "e6/2";
  void showlargeO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 191);
  XMapWindow(e6display, secondsW);

                        /* linking in largeO */
  XMoveWindow(e6display, moduleStore[0].id, 0, 5);
  dataStore[29].before = 26;
  dataStore[26].next = 29;
  showlargeO();      /* large Optionals */
}
