/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the functions to handle a 'performance' citation type.
 *
 *  Coded by:       Ross Maloney
 *  June 2018   :   Initial code 
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  performance()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void shownote(void);         /* in utilities.c */
  extern void showeventO(void);       /* in utilities.c */
  extern void removeMenus(int);       /* in mouseevent.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 677);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 93;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  XMapWindow(e6display, moduleStore[62].id);  /* performance Required */

  XReparentWindow(e6display, dataStore[2].id,
         moduleStore[62].id, 60, 43);    /* author */
  XMapWindow(e6display, dataStore[2].id);
  dataStore[2].before = 65;
  dataStore[2].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[62].id, 50, 80);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 2;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[62].id, 725, 80);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 61;
  XReparentWindow(e6display, dataStore[61].id,
         moduleStore[62].id, 50, 112);    /* type */
  XMapWindow(e6display, dataStore[61].id);
  dataStore[61].before = 0;
  dataStore[61].next = 67;
  XReparentWindow(e6display, dataStore[67].id,
         moduleStore[62].id, 590, 112);    /* author type */
  XMapWindow(e6display, dataStore[67].id);
  dataStore[67].before = 61;
  dataStore[67].next = 4;
  XReparentWindow(e6display, dataStore[4].id,
         moduleStore[62].id, 80, 148);    /* institution */
  XMapWindow(e6display, dataStore[4].id);
  dataStore[4].before = 67;
  dataStore[4].next = 91;
                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 190);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 4;
  dataStore[88].next = 65;
                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 315);
  shownote();

  zeroall();        /* set all input data fields to zero */
}


/*  Function to form the window to contain the minor data fields associated with
 *  a performance reference type.
 */

void  performance2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Performance)";
  char *icon_name = "e6/2";
  void showeditorabcO(void);   /* in utilities.c */
  void showlargeO(void);       /* in utilities.c */
  void showorigO(void);        /* in utilities.c */
  void showeprintO(void);      /* in utilities.c */
  void showlargeO1(void);      /* in utilities.c */
  void showeventO(void);       /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 282);
  XMapWindow(e6display, secondsW);
  XMoveWindow(e6display, moduleStore[10].id, 0, 5);
  showeventO();      /* link in events */
  dataStore[77].before = 49;
  dataStore[76].next = 10;
                      /* linking in editorabcO */
  XMoveWindow(e6display, moduleStore[2].id, 0, 67);
  showeditorabcO();  /* editor descriptors */
  dataStore[10].before = 76;
  dataStore[15].next = 31;
  XMoveWindow(e6display, moduleStore[7].id, 0, 158);
  showlargeO1();     /* large Optionals 1 */
  dataStore[31].before = 15;
  dataStore[33].next = 48;
                     /* linking in origO */
  XMoveWindow(e6display, moduleStore[6].id, 0, 190);
  showorigO();       /* original publication details */
  dataStore[48].before = 33;
  dataStore[49].next = 77;
}
