/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains the function which handles a 'manual' citation type
 *
 *  Coded by:       Ross Maloney
 *  December 2012:  Initial code
 *  September 2014: Minor field handling moved to unpublished2()
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */
#include  "e6dataExt.h"      /* Common parts for processing data */

void  unpublished()
{
  extern void showkeysO(void);        /* in utilities.c */
  extern void shownote(void);         /* in utilities.c */
  extern void error(char *);          /* in error.c */
  extern void zeroall(void);          /* in texting.c */
  extern void removeMenus(int);       /* in mouseevent.c */

  if ( !ofp )  {
    error("  Sorry: First open an output file");
    return;
  }
  XResizeWindow(e6display, baseW, 1240, 645);
  removeMenus(1);   /* remove the menu train which led to this function */
  who = 76;
  XMapWindow(e6display, windowStore[3]);
  XMapWindow(e6display, buttonStore[0].normal);
  XMapWindow(e6display, buttonStore[1].normal);
  XMapWindow(e6display, buttonStore[2].normal);
  XMapWindow(e6display, moduleStore[32].id);  /* unpublished Required */
  XMapWindow(e6display, buttonStore[7].normal);
  XMapWindow(e6display, buttonStore[8].normal);
  XMapWindow(e6display, buttonStore[9].normal);
  
  XReparentWindow(e6display, dataStore[2].id,
         moduleStore[32].id, 60, 47);    /* author */
  XMapWindow(e6display, dataStore[2].id);
  dataStore[2].before = 65;
  dataStore[2].next = 1;
  XReparentWindow(e6display, dataStore[1].id,
         moduleStore[32].id, 50, 78);    /* title */
  XMapWindow(e6display, dataStore[1].id);
  dataStore[1].before = 2;
  dataStore[1].next = 0;
  XReparentWindow(e6display, dataStore[0].id,
         moduleStore[32].id, 725, 78);    /* date */
  XMapWindow(e6display, dataStore[0].id);
  dataStore[0].before = 1;
  dataStore[0].next = 80;
  XReparentWindow(e6display, dataStore[80].id,
         moduleStore[32].id, 110, 126);    /* how published */
  XMapWindow(e6display, dataStore[80].id);
  dataStore[80].before = 0;
  dataStore[80].next = 44;
  XReparentWindow(e6display, dataStore[44].id,
         moduleStore[32].id, 455, 126);    /* month */
  XMapWindow(e6display, dataStore[44].id);
  dataStore[44].before = 80;
  dataStore[44].next = 20;
  XReparentWindow(e6display, dataStore[20].id,
         moduleStore[32].id, 612, 126);    /* isbn */
  XMapWindow(e6display, dataStore[20].id);
  dataStore[20].before = 44;
  dataStore[20].next = 91;
  
                        /* linking in keys */
  XMoveWindow(e6display, moduleStore[8].id, 340, 160);
  showkeysO();  /* keys Optional */
  dataStore[91].before = 20;
  dataStore[88].next = 65;

                       /* linking in scratchpad */
  XMoveWindow(e6display, moduleStore[46].id, 340, 285);
  shownote();

  zeroall();        /* set all input data fields to zero */
}




/*  Function to form the window to contain the minor data fields associated with
 *  a unpublished reference type.
 */

void  unpublished2()
{
  XTextProperty  mainName, iconName;
  char *main_name = "e6 - secondary fields (Unpublished)";
  char *icon_name = "e6/2";
  extern void showlargeO(void);       /* in utilities.c */
  extern void showeprintO(void);      /* in utilities.c */
  extern void showlargeO1(void);      /* in utilities.c */

  XStringListToTextProperty(&main_name, 1, &mainName);
  XSetWMName(e6display, secondsW, &mainName);
  XStringListToTextProperty(&icon_name, 1, &iconName);
  XSetWMIconName(e6display, secondsW, &iconName);
  XResizeWindow(e6display, secondsW, 900, 220);
  XMapWindow(e6display, secondsW);

                        /* linking in largeO, lrageO1 and eprintO combination */
  XMoveWindow(e6display, moduleStore[7].id, 0, 5);
  showlargeO1();     /* large Optionals 1 */
  XMoveWindow(e6display, moduleStore[0].id, 0, 35);
  showlargeO();      /* large Optionals */
  dataStore[26].next = 31;
  dataStore[31].before = 26;  /*  DOI *** */
}
