/*  This file is part of  e6  (EndNote's Sibling In Xlib)
 *
 *  This file contains functions which reduce the coding needed in the rest of
 *  'e6' by creating linked window blocks.
 *
 *  Coded by:       Ross Maloney
 *  April 2012:     Initial code
 *  July 2014:      Handling of Note field changed
 */

#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <stdio.h>
#include  "e6x11Ext.h"       /* X11 related common parts of e6 */

                /* Show the editorabcO window in its entirety */

void  showeditorabcO()
{

  XMapWindow(e6display, moduleStore[2].id);  /* editorabc Optionals */
//  XMapWindow(e6display, dataStore[16].id);   /* editorabcO: editor */
  XMapWindow(e6display, dataStore[10].id);   /* editorabcO: editor A */
  XMapWindow(e6display, dataStore[11].id);   /* editorabcO: editor B */
  XMapWindow(e6display, dataStore[12].id);   /* editorabcO: editor C */
//  XMapWindow(e6display, dataStore[17].id);   /* editorabcO: editor type */
  XMapWindow(e6display, dataStore[13].id);   /* editorabcO: editor A type */
  XMapWindow(e6display, dataStore[14].id);   /* editorabcO: editor B type */
  XMapWindow(e6display, dataStore[15].id);   /* editorabcO: editor C type */
}


                /* Show the vnpsiO window in its entirety */
		/* NO LONGER USED - this is done differently */

//void  showvnpsiO()
//{
//
//  XMapWindow(e6display, moduleStore[3].id);  /* vnpsi Optionals */
//  XMapWindow(e6display, dataStore[18].id);   /* vnpsiO: number */
//  XMapWindow(e6display, dataStore[19].id);   /* vnpsiO: volume */
//  XMapWindow(e6display, dataStore[21].id);   /* vnpsiO: pages */
//  XMapWindow(e6display, dataStore[56].id);   /* vnpsiO: publisher */
//  XMapWindow(e6display, dataStore[20].id);   /* vnpsiO: ISBN */
//  XMapWindow(e6display, dataStore[22].id);   /* vnpsiO: series */
//  XMapWindow(e6display, dataStore[55].id);   /* vnpsiO: part */
//  XMapWindow(e6display, dataStore[60].id);   /* vnpsiO: volumes */
//}


                /* Show the note (annotation) window in its entirety */

void  shownote()
{

  XMapWindow(e6display, moduleStore[46].id);  /* scratchpad */
// XMapWindow(e6display, dataStore[29].id);   /* largeO: titleaddon */
// XMapWindow(e6display, dataStore[30].id);   /* largeO: subtitle */
// XMapWindow(e6display, dataStore[25].id);   /* largeO: language */
// XMapWindow(e6display, dataStore[23].id);   /* largeO: pubstate */
// XMapWindow(e6display, dataStore[27].id);   /* largeO: url */
// XMapWindow(e6display, dataStore[28].id);   /* largeO: url date */
// XMapWindow(e6display, dataStore[24].id);   /* largeO: addendum */
//  XMapWindow(e6display, dataStore[26].id);    /* addendum */
  XMapWindow(e6display, dataStore[65].id);   /* largeO: annotation */
}

                /* Show the largeO window in its entirety */

void  showlargeO()
{

  XMapWindow(e6display, moduleStore[0].id);  /* large Optionals */
  XMapWindow(e6display, dataStore[29].id);   /* largeO: titleaddon */
  XMapWindow(e6display, dataStore[30].id);   /* largeO: subtitle */
  XMapWindow(e6display, dataStore[25].id);   /* largeO: language */
  XMapWindow(e6display, dataStore[23].id);   /* largeO: pubstate */
  XMapWindow(e6display, dataStore[27].id);   /* largeO: url */
  XMapWindow(e6display, dataStore[28].id);   /* largeO: url date */
  XMapWindow(e6display, dataStore[24].id);   /* largeO: addendum */
  XMapWindow(e6display, dataStore[26].id);   /* largeO: note */
  //  XMapWindow(e6display, dataStore[65].id);   /* largeO: annotation */
}

                /* Show the large1 window in its entirety */

void  showlargeO1()
{

  XMapWindow(e6display, moduleStore[7].id);  /* large 1 Optionals */
  XMapWindow(e6display, dataStore[31].id);   /* largeO1: DOI */
  XMapWindow(e6display, dataStore[32].id);   /* largeO1: library */
  XMapWindow(e6display, dataStore[33].id);   /* largeO1: location */
}

                /* Show the keys window which links the references together */

void  showkeysO()
{

  XMapWindow(e6display, moduleStore[8].id);  /* keys Optionals */
  XMapWindow(e6display, dataStore[91].id);   /* keysO: short author */
  XMapWindow(e6display, dataStore[97].id);   /* keysO: short title */
  XMapWindow(e6display, dataStore[93].id);   /* keysO: short hand */
  XMapWindow(e6display, dataStore[94].id);   /* keysO: short hand intro. */
  XMapWindow(e6display, dataStore[86].id);   /* keysO: keywords */
  XMapWindow(e6display, dataStore[87].id);   /* keysO: sortkey */
  XMapWindow(e6display, dataStore[88].id);   /* keysO: xref */
}

                /* Show original ppublication details window */

void  showorigO()
{

  XMapWindow(e6display, moduleStore[6].id);  /* original Optionals */
  XMapWindow(e6display, dataStore[48].id);   /* origO: original language */
  XMapWindow(e6display, dataStore[47].id);   /* origO: original date */
//  XMapWindow(e6display, dataStore[52].id);   /* origO: translator */
  XMapWindow(e6display, dataStore[51].id);   /* origO: original title */
  XMapWindow(e6display, dataStore[50].id);   /* origO: original publisher */
  XMapWindow(e6display, dataStore[49].id);   /* origO: original location */
}

                /* Show the window with 'main' components */

void  showmainO()
{

  XMapWindow(e6display, moduleStore[5].id);  /* main Optionals */
  XMapWindow(e6display, dataStore[42].id);   /* mainO: main title */
  XMapWindow(e6display, dataStore[41].id);   /* mainO: main subtitle */
  XMapWindow(e6display, dataStore[43].id);   /* mainO: main title addon */
}

                /* Show the 'issue' components window */

void  showissO()
{

  XMapWindow(e6display, moduleStore[4].id);  /* issue Optionals */
  XMapWindow(e6display, dataStore[38].id);   /* issO: issue */
  XMapWindow(e6display, dataStore[37].id);   /* issO: ISSN */
  XMapWindow(e6display, dataStore[40].id);   /* issO: issue title */
  XMapWindow(e6display, dataStore[39].id);   /* issO: issue subtitle */
}

                /* Show the 'eprint' components window */

void  showeprintO()
{

  XMapWindow(e6display, moduleStore[1].id);  /* eprint Optionals */
  XMapWindow(e6display, dataStore[34].id);   /* eprintO: eprint */
  XMapWindow(e6display, dataStore[36].id);   /* eprintO: eprint type */
  XMapWindow(e6display, dataStore[35].id);   /* eprintO: eprint class */
}

                /* Show the introductory information window */

void  showwordsO()
{

  XMapWindow(e6display, moduleStore[9].id);  /* words Optionals */
  XMapWindow(e6display, dataStore[63].id);   /* wordsO: afterword */
  XMapWindow(e6display, dataStore[66].id);   /* wordsO: annotator */
  XMapWindow(e6display, dataStore[74].id);   /* wordsO: commentator */
  XMapWindow(e6display, dataStore[64].id);   /* wordsO: foreword */
  XMapWindow(e6display, dataStore[82].id);   /* wordsO: introduction */
  XMapWindow(e6display, dataStore[52].id);   /* wordsO: translator */
}

                /* Show the event components window */

void  showeventO()
{

  XMapWindow(e6display, moduleStore[10].id);  /* event Optionals */
  XMapWindow(e6display, dataStore[77].id);   /* eventO: event title */
  XMapWindow(e6display, dataStore[58].id);   /* eventO: venue */
  XMapWindow(e6display, dataStore[76].id);   /* eventO: event date */
}

